;/*
 ;*  TOPPERS ATK2
 ;*      Toyohashi Open Platform for Embedded Real-Time Systems
 ;*      Automotive Kernel Version 2
 ;*
 ;*  Copyright (C) 2015 by Center for Embedded Computing Systems
 ;*              Graduate School of Information Science, Nagoya Univ., JAPAN
 ;* 
 ;*  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 ;*  ܥեȥѤΤޤࡥʲƱˤѡʣ
 ;*  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 ;*  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 ;*      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 ;*      ˴ޤޤƤ뤳ȡ
 ;*  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 ;*      ѤǤǺۤˤϡۤȼɥȡ
 ;*      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 ;*      ̵ݾڵǺܤ뤳ȡ
 ;*  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 ;*      ѤǤʤǺۤˤϡΤ줫ξ
 ;*      ȡ
 ;*    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 ;*        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 ;*    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 ;*        𤹤뤳ȡ
 ;*  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 ;*      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 ;*      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 ;*      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 ;*      դ뤳ȡ
 ;*
 ;*  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 ;*  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 ;*  ФŬޤơʤݾڤԤʤޤܥեȥ
 ;*  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 ;*  Ǥʤ  
 ;*
 ;*  $Id: prc_tool_asm.asm 180 2015-06-12 04:46:49Z t_ishikawa $  
 ;*/

;/*
 ;*  V850cal_svc
 ;*  GHSˤ륤饤󥢥֥Ǥϡ˲쥸λ꤬
 ;*  ݾڤʤᡤľܥ֥ǵҤ
 ;*/
$include (v850asm.inc)
$include (offset.h)

$ifdef USE_ASMCONFIG_INC
$include (asm_config.inc)
$endif ;/* USE_ASMCONFIG_INC */

    .section "kernel.text", text
    .align 4
;/*
 ;*  ɹɬפʤȤ򥳥ѥ뤿Υߡؿ
 ;*/
    .public _v850_memory_changed
    ;/* 
     ;*  void v850_memory_changed(void)
     ;*/
_v850_memory_changed:
    jmp [lp]
    nop

    .public _v850_sync_memory
    ;/* 
     ;*  void v850_sync_memory(void)
     ;*/
_v850_sync_memory:
    syncm
    jmp [lp]
    nop

;/*
 ;*  ӥν
 ;*    r10 : ֤
 ;*    r11ؿ
 ;*    r6 - r9 : 4Ĥޤǡ
 ;*    å쥸¸ʴؿƽФˤꤳǤ¸Ѥߡ
 ;*    lp¸
 ;*    ep¸(RH850Ǥcallee saved)
 ;*/
    .section "shared.text", text
    .align 4
    .public _cal_svc_0m
    ;/* 
     ;* extern int cal_svc_0m(int fncd)
     ;*   __attribute__((section("text_shared")));
     ;*/
_cal_svc_0m:
    mov r6, r11
    pushsp ep,lp
    syscall 1
    nop
    popsp ep,lp
    jmp [lp]
    nop

    .public _cal_svc_1m
    ;/* 
     ;* extern int cal_svc_1m(int par1, int fncd)
     ;*   __attribute__((section("text_shared")));
     ;*/
_cal_svc_1m:
    mov r7, r11
    pushsp ep, lp
    syscall 1
    nop
    popsp ep, lp
    jmp [lp]
    nop

    .public _cal_svc_2m
    ;/* 
     ;* extern int cal_svc_2m(int par1, int par2, int fncd)
     ;*   __attribute__((section("text_shared")));
     ;*/
_cal_svc_2m:
    mov r8, r11
    pushsp ep, lp
    syscall 1
    nop
    popsp ep, lp
    jmp [lp]
    nop

    .public _cal_svc_3m
    ;/* 
     ;* extern int cal_svc_3m(int par1, int par2, int par3, int fncd)
     ;*   __attribute__((section("text_shared")));
     ;*/
_cal_svc_3m:
    mov r9, r11
    pushsp ep, lp
    syscall 1
    nop
    popsp ep, lp
    jmp [lp]
    nop

    .public _cal_svc_0n
    ;/* 
     ;* extern void cal_svc_0n(int fncd)
     ;*   __attribute__((section("text_shared")));
     ;*/
_cal_svc_0n:
    mov r6, r11
    pushsp ep, lp
    syscall 1
    nop
    popsp ep, lp
    jmp [lp]
    nop

    .public _cal_svc_1n
    ;/* 
     ;* extern void cal_svc_1n(int par1, int fncd)
     ;*   __attribute__((section("text_shared")));
     ;*/
_cal_svc_1n:
    mov r7, r11
    pushsp ep, lp
    syscall 1
    nop
    popsp ep, lp
    jmp [lp]
    nop

    .public _cal_svc_2n
    ;/* 
     ;* extern void cal_svc_2n(int par1, int par2, int fncd)
     ;*   __attribute__((section("text_shared")));
     ;*/
_cal_svc_2n:
    mov r8, r11
    pushsp ep, lp
    syscall 1
    nop
    popsp ep, lp
    jmp [lp]
    nop

    .public _cal_svc_3n
    ;/* 
     ;* extern void cal_svc_3n(int par1, int par2, int par3, int fncd)
     ;*   __attribute__((section("text_shared")));
     ;*/
_cal_svc_3n:
    mov r9, r11
    pushsp ep, lp
    syscall 1
    nop
    popsp ep, lp
    jmp [lp]
    nop


