/*
 *  TOPPERS ATK2
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *      Automotive Kernel Version 2
 *	
 *	Copyright (C) 2013 by Embedded and Real-Time Systems Laboratory
 *				Graduate School of Information Science, Nagoya Univ., JAPAN
 *	
 *	嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *	ܥեȥѤΤޤࡥʲƱˤѡʣ
 *	ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *	(1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *		ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *		˴ޤޤƤ뤳ȡ
 *	(2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *		ѤǤǺۤˤϡۤȼɥȡ
 *		ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *		̵ݾڵǺܤ뤳ȡ
 *	(3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *		ѤǤʤǺۤˤϡΤ줫ξ
 *		ȡ
 *	  (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *		  ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *	  (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *		  𤹤뤳ȡ
 *	(4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *		⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *		ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *		ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *		դ뤳ȡ
 *	
 *	ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *	TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *	ФŬޤơʤݾڤԤʤޤܥեȥ
 *	ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *	Ǥʤ
 *	
 */

/*
 *	MPUɥ饤СV850E2ѡ
 */

#ifndef TOPPERS_PRC_MPU_H
#define TOPPERS_PRC_MPU_H

#ifndef TOPPERS_MACRO_ONLY
/*
 * ƥ쥸ؤν񤭹
 */
#define IPA_WRITE(n, ipal, ipau) {\
    Asm("\tldsr %0, ipa" #n "l \n"\
        "\tldsr %1, ipa" #n "u \n"\
        : : "r"(ipal), "r"(ipau): );\
}
#define DPA_WRITE(n, dpal, dpau) {\
    Asm("\tldsr %0, dpa" #n "l \n"\
        "\tldsr %1, dpa" #n "u \n"\
        : : "r"(dpal), "r"(dpau): );\
}

extern void *p_ctxosap;
/* 롼 */
extern void target_mpu_initialize(void);
/* ݸȿ㳰ϥɥ */
extern void target_impu_exc_handler(void *p_excinf);
extern void target_dmpu_exc_handler(void *p_excinf);
/* 㳰¹Գϻåϥɥ */
extern void target_emulate_texrtn_handler(void *p_excinf);
/* 㳰꥿åϥɥ */
extern void target_emulate_ret_tex_handler(void *p_excinf);

/*
 *  ݸȿFE٥㳰ϥɥ
 */
#define EXCNO_PROTECTION 3
extern void target_protection_handler(void *p_excinf);

/*
 *  TODO: probe_mem򥿡åȰ¸Ǥ롩
 */
#define OMIT_PROBE_MEM_WRITE
#if 0
#define PROBE_MEM_WRITE(p_var, type) \
	(probe_mem_write((MemoryStartAddressType) (p_var), sizeof(type)))
#endif
#define OMIT_PROBE_MEM_READ
#define OMIT_PROBE_STACK

extern AccessType probe_trusted_osap_mem(const MemoryStartAddressType sadr, const MemoryStartAddressType eadr);

#endif /* TOPPERS_MACRO_ONLY */

#endif /* TOPPERS_PRC_MPU_H */
