#
#  TOPPERS ATK2
#      Toyohashi Open Platform for Embedded Real-Time Systems
#      Automotive Kernel Version 2
#
#  Copyright (C) 2012-2013 by Center for Embedded Computing Systems
#              Graduate School of Information Science, Nagoya Univ., JAPAN
#  Copyright (C) 2012-2013 by FUJISOFT INCORPORATED, JAPAN
#  Copyright (C) 2012-2013 by FUJITSU VLSI LIMITED, JAPAN
#  Copyright (C) 2012-2013 by NEC Communication Systems, Ltd., JAPAN
#  Copyright (C) 2012-2013 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
#  Copyright (C) 2012-2013 by Renesas Electronics Corporation, JAPAN
#  Copyright (C) 2012-2013 by Sunny Giken Inc., JAPAN
#  Copyright (C) 2012-2013 by TOSHIBA CORPORATION, JAPAN
#  Copyright (C) 2012-2013 by Witz Corporation, JAPAN
#  Copyright (C) 2013 by Embedded and Real-Time Systems Laboratory
#              Graduate School of Information Science, Nagoya Univ., JAPAN
#
#  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
#  ܥեȥѤΤޤࡥʲƱˤѡʣ
#  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
#  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
#      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
#      ˴ޤޤƤ뤳ȡ
#  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
#      ѤǤǺۤˤϡۤȼɥȡ
#      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
#      ̵ݾڵǺܤ뤳ȡ
#  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
#      ѤǤʤǺۤˤϡΤ줫ξ
#      ȡ
#    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
#        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
#    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
#        𤹤뤳ȡ
#  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
#      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
#      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
#      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
#      դ뤳ȡ
#
#  ܥեȥϡAUTOSARAUTomotive Open System ARchitecture˻
#  ͤ˴ŤƤ롥嵭εϡAUTOSARŪ⻺Τ
#  ϤʤAUTOSARϡAUTOSARͤ˴ŤեȥŪ
#  ѤԤФơAUTOSARѡȥʡˤʤ뤳ȤƤ롥
#
#  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
#  TOPPERSץȤϡܥեȥ˴ؤơλŪ
#  ФŬޤơʤݾڤԤʤޤܥեȥ
#  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
#  Ǥʤ
#
#  $Id: Makefile.prc 187 2015-06-25 03:39:04Z t_ishikawa $
#

#
#		Makefile Υץå¸V850ѡ
#

#
#  ץå̾ȯĶ̾
#
PRC  = v850
TOOL = gcc

#
#  ץå¸ǥ쥯ȥ̾
#
PRCDIR = $(SRCDIR)/arch/$(PRC)_$(TOOL)

#
#  ѥ륪ץ
#
INCLUDES := $(INCLUDES) -I$(PRCDIR) -I$(SRCDIR)/arch/$(TOOL)
COPTS := $(COPTS) -mdisable-callt -mno-app-regs -mtda=0
LIBS := $(LIBS) -lgcc -lc
LDFLAGS :=  $(LDFLAGS) -Wl,-S # for CuteSuite+ debugger

#
#  ƥڤؤ
#
ifeq ($(ARCH),V850E2V3)
	COPTS := $(COPTS) -mv850e2v3 -D__v850e2v3__ -Wa,-mno-bcond17
	KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) Os_Lcfg_asm.o
endif
ifeq ($(ARCH),V850E3V5)
	COPTS := $(COPTS) -mv850e3v5
endif
 
#
#  ()ˤڤؤ
#
ifeq ($(CORETYPE),RH850G3K)
	COPTS := $(COPTS) -msoft-float
endif
ifeq ($(CORETYPE),RH850G3M)
	ifeq ($(USE_HARD_FLOAT),true)
		COPTS := $(COPTS) -mhard-float -DTOPPERS_USE_HFLOAT
	else
		COPTS := $(COPTS) -msoft-float
	endif
endif

#
#  ͥ˴ؤ
#
KERNEL_DIR := $(KERNEL_DIR) $(PRCDIR)
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) prc_support.o
# =begin modified for SC3
KERNEL_COBJS := $(KERNEL_COBJS) prc_config.o prc_mpu.o
# =end modified for SC3

#
#  ȥåץ⥸塼˴ؤ
#
#  󥫥ץȤˡSTARTUP(start.o)פ򵭽Ҥᡤȥåץ⥸塼
#  ̾HIDDEN_OBJS롥ޤLDFLAGS-nostdlibɲäƤ롥
#
HIDDEN_OBJS = start.o

$(HIDDEN_OBJS): %.o: %.S
	$(CC) -c $(CFLAGS) $(KERNEL_CFLAGS) $<

$(HIDDEN_OBJS:.o=.d): %.d: %.S
	@$(PERL) $(SRCDIR)/utils/makedep -C $(CC) \
		-O "$(CFLAGS) $(KERNEL_CFLAGS)" $< >> Makefile.depend
 
# =begin modified for SC3
#
#  󥯤˴ؤ
#

LDFLAGS := -nostdlib $(LDFLAGS)
LDFLAGS := -nostartfiles -lgcc -lc $(LDFLAGS)
CFG1_OUT_LDFLAGS := -nostdlib
CFG1_OUT_LDFLAGS := $(CFG1_OUT_LDFLAGS) $(LDFLAGS)
CFG2_OUT_LDFLAGS := $(CFG2_OUT_LDFLAGS) $(LDFLAGS)
CFG3_OUT_LDFLAGS := $(CFG3_OUT_LDFLAGS) $(LDFLAGS)

# ַλŪʥ󥫥ץ
CFG2_OUT_LDSCRIPT = cfg2_out.ld
# ַΥ󥫥ץ
CFG3_OUT_LDSCRIPT = cfg3_out.ld
# ǽŪʥ󥫥ץ
LDSCRIPT = ldscript.ld
ifeq ($(ARCH),V850E2V3)
	USE_CFG_PASS3 = true
endif

$(LDSCRIPT): kernel_cfg.timestamp
$(CFG2_OUT_LDSCRIPT): kernel_cfg.timestamp
# =end modified for SC3

#
#  ¸ط
#
cfg1_out.c: $(PRCDIR)/prc_def.csv
Os_Lcfg.timestamp: $(PRCDIR)/prc.tf
# =begin modified for SC3
$(OBJFILE): $(PRCDIR)/prc_mem.tf
# =end modified for SC3
offset.h: $(PRCDIR)/prc_offset.tf

#
#  ͥ졼طѿ
#
CFG_TABS := $(CFG_TABS) --cfg1-def-table $(PRCDIR)/prc_def.csv

# =begin added for aktsp
# vpath %.c $(SRCDIR)/aktsp/library/arch/v850e2/gcc/memory_protection/
# 
# KERNEL_COBJS := $(KERNEL_COBJS) t_osap1_share.o t_osap1.o nt_osap1_share.o nt_osap1.o nt_osap2_share.o nt_osap2.o common.o aktsp_target_lib_mem.o
# =end added for aktsp



#
#  CS+ѤѴ
#
cs: $(OBJFILE)
	v850-elf-objdump.exe -h $(OBJFILE) | $(SRCDIR)/arch/v850_gcc/conv2cs+.rb  $(OBJFILE)
 
