/*
 *  TOPPERS ATK2
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *      Automotive Kernel Version 2
 *
 *  Copyright (C) 2012-2014 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡAUTOSARAUTomotive Open System ARchitecture˻
 *  ͤ˴ŤƤ롥嵭εϡAUTOSARŪ⻺Τ
 *  ϤʤAUTOSARϡAUTOSARͤ˴ŤեȥŪ
 *  ѤԤФơAUTOSARѡȥʡˤʤ뤳ȤƤ롥
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: rh850_f1l.h 187 2015-06-25 03:39:04Z t_ishikawa $
 */

/*
 *		RH850/F1LΥϡɥ񸻤
 */

#ifndef TOPPERS_RH850_F1L_H
#define TOPPERS_RH850_F1L_H

#define _RH850G3K_

/*
 * ݸޥɥ쥸
 */
#define PROTCMD0		0xFFF80000
#define PROTCMD1		0xFFF88000
#define CLMA0PCMD		0xFFF8C010
#define CLMA1PCMD		0xFFF8D010
#define CLMA2PCMD		0xFFF8E010
#define PROTCMDCLMA		0xFFF8C200
#define JPPCMD0			0xFFC204C0
#define PPCMD0			0xFFC14C00
#define PPCMD1			0xFFC14C04
#define PPCMD2			0xFFC14C08
#define PPCMD8			0xFFC14C20
#define PPCMD9			0xFFC14C24
#define PPCMD10			0xFFC14C28
#define PPCMD11			0xFFC14C2C
#define PPCMD12			0xFFC14C30
#define PPCMD18			0xFFC14C48
#define PPCMD20			0xFFC14C50
#define PROTCMDCVM		0xFFF50100
#define FLMDPCMD		0xFFA00004

/*
 * ݸơ쥸
 */
#define PROTS0			0xFFF80004
#define PROTS1			0xFFF88004
#define CLMA0PS			0xFFF8C014
#define CLMA1PS			0xFFF8D014
#define CLMA2PS			0xFFF8E014
#define PROTSCLMA		0xFFF8C204
#define JPPROTS0		0xFFC204B0
#define PPROTS0			0xFFC14B00
#define PPROTS1			0xFFC14B04
#define PPROTS2			0xFFC14B08
#define PPROTS8			0xFFC14B20
#define PPROTS9			0xFFC14B24
#define PPROTS10		0xFFC14B28
#define PPROTS11		0xFFC14B2C
#define PPROTS12		0xFFC14B30
#define PPROTS18		0xFFC14B48
#define PPROTS20		0xFFC14B50
#define PROTSCVM		0xFFF50104
#define FLMDPS			0xFFA00008

/*
 * ݸޥɥ쥸ֹ
 */
#define PNO_CtrlProt0			0
#define PNO_CtrlProt1			1
#define PNO_ClkMonitorCtrlProt0	2
#define PNO_ClkMonitorCtrlProt1	3
#define PNO_ClkMonitorCtrlProt2	4
#define PNO_ClkMonitorTestProt	5
#define PNO_PortProt1_0			6
#define PNO_PortProt1_1			7
#define PNO_PortProt1_2			8
#define PNO_PortProt1_8			9
#define PNO_PortProt1_9			10
#define PNO_PortProt1_10		11
#define PNO_PortProt1_11		12
#define PNO_PortProt1_12		13
#define PNO_PortProt1_18		14
#define PNO_PortProt1_20		15
#define PNO_PortProt2			16
#define PNO_CoreVMonitorProt	17
#define PNO_SelfProgProt		18

/*
 *  PORT쥸
 */
#define PORT_BASE	UINT_C(0xffc10000)

/* üҵǽ  (USE)*/
#define PMC(n)		((PORT_BASE) + 0x0400 + (n * 0x04U))         /* ݡȡ⡼ɡȥ롦쥸 */
#define PMCSR(n)	((PORT_BASE) + 0x0900 + (n * 0x04U))         /* ݡȡ⡼ɡȥ롦åȡꥻåȡ쥸 */
#define PIPC(n)		((PORT_BASE) + 0x4200 + (n * 0x04U))         /* ݡIP ȥ롦쥸 */
#define PM(n)		((PORT_BASE) + 0x0300 + (n * 0x04U))         /* ݡȡ⡼ɡ쥸 */
#define PMSR(n)		((PORT_BASE) + 0x0800 + (n * 0x04U))         /* ݡȡ⡼ɡåȡꥻåȡ쥸 */
#define PIBC(n)		((PORT_BASE) + 0x4000 + (n * 0x04U))         /* ݡϥХåեȥ롦쥸 */
#define PFC(n)		((PORT_BASE) + 0x0500 + (n * 0x04U))         /* ݡȵǽȥ롦쥸 */
#define PFCE(n)		((PORT_BASE) + 0x0600 + (n * 0x04U))         /* ݡȵǽȥ롦쥸 */
#define PFCAE(n)	((PORT_BASE) + 0x0A00 + (n * 0x04U))         /* ݡȵǽȥ롦ĥ쥸 */

/* üҥǡϡ  (USE)*/
#define PBDC(n)		((PORT_BASE) + 0x4100 + (n * 0x04U))         /* ݡȥ롦쥸 */
#define PPR(n)		((PORT_BASE) + 0x0200 + (n * 0x04U))         /* ݡüҥ꡼ɡ쥸 */
#define P(n)		((PORT_BASE) + 0x0000 + (n * 0x04U))         /* ݡȡ쥸 */
#define PNOT(n)		((PORT_BASE) + 0x0700 + (n * 0x04U))         /* ݡȡΥåȡ쥸 */
#define PSR(n)		((PORT_BASE) + 0x0100 + (n * 0x04U))         /* ݡȡåȡꥻåȡ쥸 */


/*
 *  PLLϢΥ쥸
 */
/* Main OSC */
#define MOSCE		0xfff81100
#define MOSCS		0xfff81104
#define MOSCC		0xfff81108
#define MOSCST		0xfff8110c
#define MOSCSTPM	0xfff81118

/* Sub OSC  */
#define SOSCE		0xfff81200
#define SOSCS		0xfff81204

/* PLL  */
#define PLLE		0xfff89000
#define PLLS		0xfff89004
#define PLLC		0xfff89008

#define CKSC_CPUCLKS_CTL	0xfff8a000
#define CKSC_CPUCLKS_ACT	0xfff8a008
#define CKSC_CPUCLKD_CTL	0xfff8a100
#define CKSC_CPUCLKD_ACT	0xfff8a108

#define MHz(n)		((n) * 1000 * 1000)
#define CLK_MHz(num)	(num * 1000 * 1000)

/* xxxS Register (USE) */
#define CLK_S_STPACK	0x08
#define CLK_S_CLKEN		0x04
#define CLK_S_CLKACT	0x02
#define CLK_S_CLKSTAB	0x01

/* Return Parameter */
#define UC_SUCCESS			0
#define UC_ERROR			1
#define UC_INVALIDPARAM		2
#define UC_PROTREGERROR		3
#define UC_CLKSTATUSERR		4
#define UC_CLKNOTENABLE		5
#define UC_CLKNOTACTIVE		6
#define UC_CLKNOTSTAB		7

/*
 *  INTC
 */
#define INTC1_BASE	0xFFFF9000
#define INTC2_BASE	0xFFFFA000

#define INTC2_EIC	0x040
#define INTC2_EIBD	0x880
#define INTC2_INTNO_OFFSET	32

/* intno  unsigned  */
#define EIC_ADDRESS(intno)	(intno <= 31) ? (INTC1_BASE + (intno * 2)) : (INTC2_BASE + INTC2_EIC  + ((intno - INTC2_INTNO_OFFSET) * 2))

#define TMIN_INTNO	UINT_C(0)
#define TMAX_INTNO	UINT_C(287)
#define TNUM_INT	UINT_C(288)


#define RLIN30_BASE	0xffcf0000
#define RLIN31_BASE	0xffcf0040
#define RLIN32_BASE	0xffcf0080
#define RLIN33_BASE	0xffcf00c0
#define RLIN34_BASE	0xffcf0100
#define RLIN35_BASE	0xffcf0140

/*
 *  INTNO
 */
#define RLIN31_TX_INTNO		UINT_C(113)
#define RLIN31_RX_INTNO		UINT_C(114)
#define RLIN32_TX_INTNO		UINT_C(157)
#define RLIN32_RX_INTNO		UINT_C(158)
#define RLIN32_ER_INTNO		UINT_C(159)
#define RLIN35_TX_INTNO		UINT_C(229)
#define RLIN35_RX_INTNO		UINT_C(230)
#define RLIN35_ER_INTNO		UINT_C(231)

#define TAUFJ0I0_INTNO		UINT_C(72)
#define TAUFJ0I1_INTNO		UINT_C(73)
#define TAUFJ0I2_INTNO		UINT_C(74)
#define TAUFJ0I3_INTNO		UINT_C(75)
#define TAUFJ1I0_INTNO		UINT_C(160)
#define TAUFJ1I1_INTNO		UINT_C(161)
#define TAUFJ1I2_INTNO		UINT_C(162)
#define TAUFJ1I3_INTNO		UINT_C(163)

#ifndef TOPPERS_MACRO_ONLY

extern uint32 EnableSubOSC(void);

extern uint32 EnableMainOSC(uint32 clk_in);

extern uint32 EnablePLL(void);

extern uint32	SetClockSelection(uint32 s_control, uint32 s_status, uint8 regno, uint16 sel,
								  uint32 d_control, uint32 d_status, uint8 divider);

#endif /* TOPPERS_MACRO_ONLY */


#include "v850.h"

#endif /* TOPPERS_RH850_F1L_H */
