$
$  TOPPERS ATK2
$      Toyohashi Open Platform for Embedded Real-Time Systems
$      Automotive Kernel Version 2
$
$  Copyright (C) 2011-2015 by Center for Embedded Computing Systems
$              Graduate School of Information Science, Nagoya Univ., JAPAN
$  Copyright (C) 2011-2015 by FUJI SOFT INCORPORATED, JAPAN
$  Copyright (C) 2011-2013 by Spansion LLC, USA
$  Copyright (C) 2011-2015 by NEC Communication Systems, Ltd., JAPAN
$  Copyright (C) 2011-2015 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
$  Copyright (C) 2011-2014 by Renesas Electronics Corporation, JAPAN
$  Copyright (C) 2011-2015 by Sunny Giken Inc., JAPAN
$  Copyright (C) 2011-2015 by TOSHIBA CORPORATION, JAPAN
$  Copyright (C) 2011-2015 by Witz Corporation
$  Copyright (C) 2014-2015 by AISIN COMCRUISE Co., Ltd., JAPAN
$  Copyright (C) 2014-2015 by eSOL Co.,Ltd., JAPAN
$  Copyright (C) 2014-2015 by SCSK Corporation, JAPAN
$
$  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
$  ܥեȥѤΤޤࡥʲƱˤѡʣ
$  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
$  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
$      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
$      ˴ޤޤƤ뤳ȡ
$  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
$      ѤǤǺۤˤϡۤȼɥȡ
$      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
$      ̵ݾڵǺܤ뤳ȡ
$  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
$      ѤǤʤǺۤˤϡΤ줫ξ
$      ȡ
$    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
$        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
$    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
$        𤹤뤳ȡ
$  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
$      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
$      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
$      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
$      դ뤳ȡ
$
$  ܥեȥϡAUTOSARAUTomotive Open System ARchitecture˻
$  ͤ˴ŤƤ롥嵭εϡAUTOSARŪ⻺Τ
$  ϤʤAUTOSARϡAUTOSARͤ˴ŤեȥŪ
$  ѤԤФơAUTOSARѡȥʡˤʤ뤳ȤƤ롥
$
$  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
$  TOPPERSץȤϡܥեȥ˴ؤơλŪ
$  ФŬޤơʤݾڤԤʤޤܥեȥ
$  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
$  Ǥʤ
$
$  $Id: kernel_common.tf 187 2015-06-25 03:39:04Z t_ishikawa $
$

$ =====================================================================
$ TSK.STKTSK.SSTK
$ =====================================================================

$FOREACH tskid TSK.ID_LIST$
$   // ά줿NULLˤ
	$IF !LENGTH(TSK.STK[tskid])$
		$TSK.STK[tskid] = "NULL"$
	$END$

$   // ά줿NULLˤ
	$IF !LENGTH(TSK.SSTK[tskid])$
		$TSK.SSTK[tskid] = "NULL"$
	$END$
$END$

$ =====================================================================
$  ꥪ֥ȤƬΥɥ쥹μФ
$ =====================================================================

$IF !ISFUNCTION("START_SYMBOL")$
$FUNCTION START_SYMBOL$
	$RESULT = SYMBOL(CONCAT("__start_", ARGV[1]))$
$END$
$END$

$IF !ISFUNCTION("LIMIT_SYMBOL")$
$FUNCTION LIMIT_SYMBOL$
	$RESULT = SYMBOL(CONCAT("__limit_", ARGV[1]))$
$END$
$END$

$ =====================================================================
$  ǡLMAVMAؤΥԡ
$ =====================================================================

$FUNCTION COPY_LMA$
	$FOREACH lma LMA.ORDER_LIST$
		$start_data = SYMBOL(LMA.START_DATA[lma])$
		$end_data = SYMBOL(LMA.END_DATA[lma])$
		$start_idata = SYMBOL(LMA.START_IDATA[lma])$
		$IF !LENGTH(start_data)$
			$ERROR$
				$FORMAT(_("symbol '%1%' not found"), LMA.START_DATA[lma])$
			$END$
		$ELIF !LENGTH(end_data)$
			$ERROR$
				$FORMAT(_("symbol '%1%' not found"), LMA.END_DATA[lma])$
			$END$
		$ELIF !LENGTH(start_idata)$
			$ERROR$
				$FORMAT(_("symbol '%1%' not found"), LMA.START_IDATA[lma])$
			$END$
		$ELSE$
			$BCOPY(start_idata, start_data, end_data - start_data)$
		$END$
	$END$
$END$

$
$  Υåextern
$
$FUNCTION GENERATE_EXPORT_TSK_STK$
	$FOREACH tskid TSK.ID_LIST$
		$IF OSAP.TRUSTED[TSK.OSAPID[tskid]]$
			$extern_sstk = EQ(TSK.STK[tskid], "NULL") && !LENGTH(TSK.SHARED_SSTK_ID[tskid])$
			$extern_ustk = 0$
		$ELSE$
			$extern_sstk = EQ(TSK.SSTK[tskid], "NULL") && !LENGTH(TSK.SHARED_SSTK_ID[tskid])$
			$extern_ustk = EQ(TSK.STK[tskid], "NULL") && !LENGTH(TSK.SHARED_USTK_ID[tskid])$
		$END$

		$IF extern_sstk$
			extern StackType _kernel_sstack_$tskid$[COUNT_STK_T($TSK.TINIB_SSTKSZ[tskid]$)];$NL$
		$END$
		$IF extern_ustk$
			extern StackType _kernel_ustack_$tskid$[COUNT_STK_T($TSK.TINIB_USTKSZ[tskid]$)];$NL$
		$END$
	$END$
	$FOREACH tskpri RANGE(TMIN_TPRI, TMAX_TPRI)$
		$IF LENGTH(shared_ustack_size[tskpri])$
			extern StackType _kernel_shared_ustack_$tskpri$[COUNT_STK_T(ROUND_STK_T($shared_ustack_size[tskpri]$))];$NL$
		$END$
		$IF LENGTH(shared_sstack_size[tskpri])$
			extern StackType _kernel_shared_sstack_$tskpri$[COUNT_STK_T(ROUND_STK_T($shared_sstack_size[tskpri]$))];$NL$
		$END$
	$END$
	$NL$
$END$

$
$ extern
$
$FUNCTION EXTERN_TSK$
$ 	//extern
	$FOREACH tskid TSK.ID_LIST$
		extern TASK($tskid$);$NL$
	$END$
	$NL$
$END$

$
$ ֥åν
$
$FUNCTION GENERATE_TINIB_TABLE$
	/* Task Initialization Block */$NL$
	$IF LENGTH(TSK.ID_LIST)$
		const TINIB tinib_table[TNUM_TASK] = {$NL$
		$JOINEACH tskid TSK.ID_LIST ",\n"$
			$TAB${$NL$
			$TAB$$TAB$&TASKNAME($tskid$),$NL$

$			// ƥȥ֥ååΰ
			$IF USE_TSKINICTXB$
				$GENERATE_TSKINICTXB(tskid)$
			$ELSE$
				$TAB$$TAB$$TSK.TINIB_SSTKSZ[tskid]$,$NL$
				$TAB$$TAB$(void *) $TSK.TINIB_SSTK[tskid]$,$NL$
				$TAB$$TAB$$TSK.TINIB_USTKSZ[tskid]$,$NL$
				$TAB$$TAB$(void *) $TSK.TINIB_USTK[tskid]$,$NL$
			$END$

			$TAB$$TAB$&(osapcb_table[$TSK.OSAPID[tskid]$]),$NL$
			$TAB$$TAB$$FORMAT("0x%08xU", +TSK.ACSBTMP[tskid])$,$NL$
			$TAB$$TAB$$TMAX_TPRI - TSK.PRIORITY[tskid]$,$NL$
			$IF EQ(TSK.SCHEDULE[tskid], "NON") $
				$TAB$$TAB$$+TPRI_MAXTASK$,$NL$
			$ELSE$
				$IF LENGTH(TSK.INRESPRI[tskid])$
					$TAB$$TAB$$TMAX_TPRI - TSK.INRESPRI[tskid]$,$NL$
				$ELSE$
					$TAB$$TAB$$TMAX_TPRI - TSK.PRIORITY[tskid]$,$NL$
				$END$
			$END$

			$TAB$$TAB$($TSK.ACTIVATION[tskid]$) - 1U,$NL$
			$IF !OMIT_STKMPUINFOB$
				$TAB$$TAB$$FORMAT("0x%08xU", +TSK.ASTPTN[tskid])$,$NL$
				$GENERATE_STKMPUINFOB(tskid)$
			$ELSE$
				$TAB$$TAB$$FORMAT("0x%08xU", +TSK.ASTPTN[tskid])$$NL$
			$END$
			$TAB$}
		$END$
		$NL$
		};$NL$
	$ELSE$
		TOPPERS_EMPTY_LABEL(const TINIB, tinib_table);$NL$
	$END$
	$NL$
$END$

$
$  OSץꥱ֥åν
$
$FUNCTION GENERATE_OSAPINIB_TABLE$
	$IF LENGTH(OSAP.ID_LIST)$
		const OSAPINIB osapinib_table[TNUM_OSAP] = {$NL$
		$JOINEACH osapid OSAP.ID_LIST ",\n"$
			$TAB${$NL$
			$IF OSAP.STARTUPHOOK[osapid]$
				$TAB$$TAB$&StartupHook_$osapid$,$NL$
			$ELSE$
				$TAB$$TAB$NULL,$NL$
			$END$
			$IF OSAP.ERRORHOOK[osapid]$
				$TAB$$TAB$&ErrorHook_$osapid$,$NL$
			$ELSE$
				$TAB$$TAB$NULL,$NL$
			$END$
			$IF OSAP.SHUTDOWNHOOK[osapid]$
				$TAB$$TAB$&ShutdownHook_$osapid$,$NL$
			$ELSE$
				$TAB$$TAB$NULL,$NL$
			$END$
			$IF EQ(OSAP.RESTARTTASK[osapid], "NO_RESTART_TASK")$
				$TAB$$TAB$NULL,$NL$
			$ELSE$
				$TAB$$TAB$&tcb_table[$OSAP.RESTARTTASK[osapid]$],$NL$
			$END$
			$IF OSAP.TRUSTED[osapid]$
				$TAB$$TAB$TA_TRUSTED,$NL$
			$ELSE$
				$TAB$$TAB$TA_NONTRUSTED,$NL$
			$END$

			$IF !OMIT_OSAPMPUINFOB$
				$TAB$$TAB$$FORMAT("0x%08xU", +OSAP.BTMP[osapid])$,$NL$
				$GENERATE_OSAPINIB_MPUINFOB(osapid)$
			$ELSE$
				$TAB$$TAB$$FORMAT("0x%08xU", +OSAP.BTMP[osapid])$$NL$
			$END$

			$TAB$}
		$END$
		$NL$
		};$NL$
		$NL$
	$ELSE$
		TOPPERS_EMPTY_LABEL(const OSAPINIB, osapinib_table);$NL$
	$END$
$END$

$
$  ꥪ֥ȤΥ١ɥ쥹ΥꥹȤ
$  OSAP饢Ǥʤΰꥹ
$  MO_MEMTOP_ORDER_MEMINIB
$
$FUNCTION SET_MEMTOP_ORDER$
	$prev = 0$
	$FOREACH moid SORT(MO_SECTION_LIST, "MO.BASEADDR")$
	
		$IF (MO.ACPTN_R[moid] != TACP_KERNEL || MO.ACPTN_W[moid] != TACP_KERNEL || MO.ACPTN_X[moid] != TACP_KERNEL)$
			$IF !prev || (MO.LIMITADDR[prev] <= MO.BASEADDR[moid] && MO.LIMITADDR[prev] != 0)$
				$MO_MEMTOP_ORDER_MEMINIB = APPEND(MO_MEMTOP_ORDER_MEMINIB, moid)$
				$prev = moid$
			$ELSE$
$				// ƱOSAP˽°桼åΰʻ
				$IF MO.TYPE[moid] == TOPPERS_USTACK &&
					MO.TYPE[prev] == TOPPERS_USTACK &&
					MO.OSAPID[prev] == MO.OSAPID[moid]$
$					// 桼åΰʻ
					$MO.TSKID[prev] = 0$
					$MO.TSKID[moid] = 0$
					$MO.BASE[moid] = MO.BASE[prev]$
					$MO.BASEADDR[moid] = MO.BASEADDR[prev]$
					$IF MO.LIMITADDR[prev] < MO.LIMITADDR[moid]
													&& MO.LIMITADDR[prev] != 0$
						$MO.SIZE[prev] = MO.LIMITADDR[moid] - MO.BASEADDR[prev]$
						$MO.LIMITADDR[prev] = MO.LIMITADDR[moid]$
					$ELSE$
						$MO.SIZE[moid] = MO.SIZE[prev]$
						$MO.LIMITADDR[moid] = MO.LIMITADDR[prev]$
					$END$
				$END$
			$END$
		$END$
	$END$
$END$

$
$  ܤꥪ֥ȤΥݸ°礹
$
$FUNCTION MERGE_MEMINIB$
	$merged_moid = 0$
	$FOREACH moid MO_MEMTOP_ORDER_MEMINIB$
		$IF merged_moid &&
			(CFG_PASS4 ||
			 MO.LINKER[merged_moid] && MO.LINKER[moid] &&
			 MO.MEMREG[merged_moid] == MO.MEMREG[moid]) &&
			((MO.MERGED_LIMITADDR[merged_moid] == MO.BASEADDR[moid] &&
			MO.ACPTN_R[merged_moid] == MO.ACPTN_R[moid] &&
			MO.ACPTN_W[merged_moid] == MO.ACPTN_W[moid] &&
			MO.ACPTN_X[merged_moid] == MO.ACPTN_X[moid]) ||
			MO.LIMITADDR[moid] == MO.BASEADDR[moid])$

			$MO.MERGED_LIMITADDR[merged_moid] = MO.LIMITADDR[moid]$
			$MO.MERGED_LIMIT[merged_moid] = MO.LIMIT[moid]$
		$ELSE$
			$merged_moid = moid$
			$new_list = APPEND(new_list, merged_moid)$
			$MO.MERGED_LIMITADDR[moid] = MO.LIMITADDR[moid]$
			$MO.MERGED_LIMIT[moid] = MO.LIMIT[moid]$
		$END$
	$END$
	$MO_MEMTOP_ORDER_MEMINIB = new_list$
$END$

$
$ OSAPCB
$
$FUNCTION EXTERN_OSAPCB$
$ 	//OSAPCBextern
	extern OSAPCB osapcb_table[];$NL$
	$NL$
$END$

$
$ TCB
$
$FUNCTION EXTERN_TCB$
$ 	//TCBextern
	extern TCB tcb_table[];$NL$
	$NL$
$END$
